// KISS Compiler Version 0.1
// Distributed under GPL
// Author: Antonio Bonifati

// Notes: error handling routines

/*------------------------------------------------------------*/
                          /* Error */

#include <iostream>
#include "error.h"


int line=1;     /* number of line in the source */

/*------------------------------------------------------------*/
/* Report an Error */

void Error(string s)
{
   cout << "\n\aLine #" << line << "  Error: " << s << ".\n";
}


/*------------------------------------------------------------*/
/* Report Error and Halt */

void Abort(string s)
{
   Error(s);
   exit(EXIT_FAILURE);
}


/*------------------------------------------------------------*/
/* Report What Was Expected */

void Expected(string s)
{
   Abort(s + " Expected");
}


/*------------------------------------------------------------*/
/* Report an Undefined Identifier */

void Undefined(string n)
{
   Abort("Undefined Identifier " + n);
}

