/* "stolen" from Kernighan-Ritchie's book */

#include <string.h>

/* reverse: inverts the string s */
void  reverse(char s[])
{
   int  c, i, j;
   
   for (i = 0, j = strlen(s) - 1; i < j; i++, j--)
      c = s[i],  s[i] = s[j],  s[j] = c;      
}

/* itoa: converts n into a string */
void  itoa(int n, char s[])
{
   int  i, sign;
   
   if ((sign = n) < 0)		/* stores the sign */
	n = -n;		/* turn into a positive number */
   i = 0;
   do
   {
      s[i++] = n % 10 + '0'; /* read next digit */
   } while ((n /= 10) > 0);  /* cancel it */
   if (sign < 0)
   	s[i++] = '-';
   s[i] = '\0';
   reverse(s);
}
